/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
// HTTP_TestManagerImpl.h: interface for the HTTP_TestManagerImpl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HTTP_TESTMANAGERIMPL_H__82E382C5_607A_4F35_856A_0F1AB9CDCC86__INCLUDED_)
#define AFX_HTTP_TESTMANAGERIMPL_H__82E382C5_607A_4F35_856A_0F1AB9CDCC86__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
/*
#include "ManagerMain.h"

#include "TestManager_i.h"
#include "CECInetInfo.h"
#include <assert.h>
#include <process.h>
#include "VarFactory.h"
#include "stdafx.h"


#include <TestExecuter.h>

#include <OSTAORB\OSTAORB.h>
#include "LocalRepository.h"
#include "mutex.hpp"

#include <HTTPInjectorStatus.h> // new
#include <TestManager.h>
  */

#include "OstaTraceDef.h"
#include "TestManager_i.h"
#include <TestManager.h>
#include <TestExecuter.h>
#include <HTTPInjectorStatus.h> // new
#include <OSTAORB\OSTAORB.h>
#include "LocalRepository.h"
#include "mutex.hpp"


class HTTP_TestManagerImpl :  public POA_HTTP_TestManager,public TestManagerImpl  
{
public:
	HTTP_TestManagerImpl(CORBAServer* pServer);
	virtual ~HTTP_TestManagerImpl();

	CORBA::Boolean HTTP_GetBothStatsSnapshots(HTTPTEsSnapshot_out HTTP_InjectorSnapshot, TESnapList_out InjectorSnapList);
	HTTPTEsSnapshot* HTTP_GetStatsSnapshot();
/*
	CORBA::Boolean StartMonitoring(const char* strFileName,long lPace);
	CORBA::Boolean StopMonitoring();
*/
};

#endif // !defined(AFX_HTTP_TESTMANAGERIMPL_H__82E382C5_607A_4F35_856A_0F1AB9CDCC86__INCLUDED_)
