// TestDebugger.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "TestDebug.h"
#include "CorbaInfo.h"

BOOL g_bTrace = false;

void Trace( const char *format ,...)
{
}

int main(int argc, char* argv[])
{
	CString strTestName;
	BOOL bAdvancedMode = false,bRun = false;
	bool bTrace=false;
	for(int nArg=1;nArg<argc;nArg++)
	{
		if((strcmp(argv[nArg],"-T")==0) && (++nArg<argc))
		{
			strTestName = argv[nArg];
		}
		else
		if(strcmp(argv[nArg],"-Advanced")==0)
			bAdvancedMode = true;
		else
		if(strcmp(argv[nArg],"-trace")==0)
			g_bTrace = true;
		else
		if(strcmp(argv[nArg],"-Run")==0)
			bRun = true;
	}

	if(strTestName.IsEmpty())
		return 3;

	CTestDebug dbg(strTestName,bAdvancedMode,bRun);
	dbg.RunTest();

	return 0;
}


