// FindInStringsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "modeller.h"
#include "FindInStringsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFindInStringsDlg dialog


CFindInStringsDlg::CFindInStringsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFindInStringsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFindInStringsDlg)
	m_strFindText = _T("");
	m_strReplaceText = _T("");
	m_bCaseSensitive = FALSE;
	//}}AFX_DATA_INIT
}


void CFindInStringsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFindInStringsDlg)
	DDX_Control(pDX, IDC_FINDTEXT, m_ctlFindText);
	DDX_Control(pDX, IDOK, m_ctlOk);
	DDX_Control(pDX, IDC_REPLACE, m_ctlReplaceText);
	DDX_Text(pDX, IDC_FINDTEXT, m_strFindText);
	DDX_Text(pDX, IDC_REPLACE, m_strReplaceText);
	DDX_Check(pDX, IDC_COMPARE_CASE, m_bCaseSensitive);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFindInStringsDlg, CDialog)
	//{{AFX_MSG_MAP(CFindInStringsDlg)
	ON_EN_CHANGE(IDC_FINDTEXT, OnChangeFindtext)
	ON_EN_CHANGE(IDC_REPLACE, OnChangeReplace)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFindInStringsDlg message handlers

void CFindInStringsDlg::OnChangeFindtext() 
{
	CString str;
	m_ctlFindText.GetWindowText(str);
	
	m_ctlReplaceText.EnableWindow(!str.IsEmpty());
	
	if(str.IsEmpty())
		m_ctlOk.EnableWindow(FALSE);
	else
	{
		m_ctlReplaceText.GetWindowText(str);
		m_ctlOk.EnableWindow(!str.IsEmpty());
	}
}

void CFindInStringsDlg::OnChangeReplace() 
{
	CString str;	
	m_ctlReplaceText.GetWindowText(str);
	
	if(str.IsEmpty())
		m_ctlOk.EnableWindow(FALSE);
	else
	{
		m_ctlFindText.GetWindowText(str);
		m_ctlOk.EnableWindow(!str.IsEmpty());
	}
}

void CFindInStringsDlg::OnOK() 
{
	UpdateData(TRUE);
	
	CDialog::OnOK();
}

BOOL CFindInStringsDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_ctlReplaceText.EnableWindow(FALSE);
	m_ctlOk.EnableWindow(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
