/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// FileTransfer.h: interface for the CFileTransfer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FILETRANSFER_H__629826C2_E4DC_4FF7_8087_03A0EF11133D__INCLUDED_)
#define AFX_FILETRANSFER_H__629826C2_E4DC_4FF7_8087_03A0EF11133D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include <string>
#include <iostream>
using namespace std;


class CFTPFileTransfer  
{
public:
	CFTPFileTransfer();
	virtual ~CFTPFileTransfer();

	bool OpenConnection(string strAddress, int nPort,
						string strUser, string strPass);
	bool SendFile(string strLocalPath, string strRemotePath);
	bool GetFile(string strRemotePath, string strLocalPath);

private:

	CInternetSession m_session;
	CFtpConnection* m_pFtpConn;
};

#endif // !defined(AFX_FILETRANSFER_H__629826C2_E4DC_4FF7_8087_03A0EF11133D__INCLUDED_)
