#ifndef PSL__SYSSHR_RTNS_LOADED
#define PSL__SYSSHR_RTNS_LOADED 1

/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*===========================================================================*/
/*                                       */
/*               **** C O M M O N ****                   */
/*                                       */
/*===========================================================================*/
/*                                       */
/*          Module Name: SYSSHR_RTNS                 */
/*          ============                         */
/*                                       */
/* Description:                                  */
/* ============                                  */
/*                                       */
/*  This module defines the name translations for SYSSHR routines        */
/*  on UNIX.                                 */
/*                                       */
/*===========================================================================*/

#ifndef VMS

#define ATF_CLOSE       atf_close_1
#define ATF_CREATE      atf_create_1
#define ATF_GET_DETAILS     atf_get_details_1
#define ATF_OPEN        atf_open_1
#define ATF_WRT_COMMAND     atf_wrt_command_1
#define ATF_WRT_OPERATION   atf_wrt_operation_1
#define BIT_AND         bit_and_1
#define BIT_BEST_FIT        bit_best_fit_1
#define BIT_CLEAR       bit_clear_1
#define BIT_COUNT       bit_count_1
#define BIT_FIRST_FIT_SET   bit_first_fit_set_1
#define BIT_FIRST_FIT       bit_first_fit_1
#define BIT_INVERT      bit_invert_1
#define BIT_OR          bit_or_1
#define BIT_SET         bit_set_1
#define BIT_STATS       bit_stats_1
#define BIT_TEST        bit_test_1
#define BIT_XOR         bit_xor_1
#define CHK_DATANAME        chk_dataname_1
#define CHK_LONG_DATANAME   chk_long_dataname_1
#define CHK_IDENT       chk_ident_1
#define CHK_PATTERN     chk_pattern_1
#define CHK_PICTURE     chk_picture_1
#define CHK_SYSTELNAME      chk_systelname_1
#define CHK_USERNAME        chk_username_1
#define CLOSE_SYNC_SOCKET   close_sync_socket_1
#define COMMON_GET_STIME    common_get_stime_1
#define CONFIRM_RESPONSE    confirm_response_1
#define CTMCOMM__CLIEND     ctmcomm__cliend_1
#define CTMCOMM__CLIOPN     ctmcomm__cliopn_1
#define CTMCOMM__CLOSE      ctmcomm__close_1
#define CTMCOMM__CREATE     ctmcomm__create_1
#define CTMCOMM__DELETE     ctmcomm__delete_1
#define CTMCOMM__GETCIMR    ctmcomm__getcimr_1
#define CTMCOMM__OPEN       ctmcomm__open_1
#define CTMCOMM__PUTCIMR    ctmcomm__putcimr_1
#define CTMCOMM__QUERY      ctmcomm__query_1
#define CTMIPC__GET_MSGID   ctmipc__get_msgid_1
#define CTMIPC__INIT        ctmipc__init_1
#define CTMIPC__SEND        ctmipc__send_1
#define CTMIPC__RECV        ctmipc__recv_1
#define CTMIPC__DETACH      ctmipc__detach_1
#define CTM_AUDIT_INIT      ctm_audit_init_1
#define CTM_AUDIT_START     ctm_audit_start_1
#define CTM_AUDIT_STOP      ctm_audit_stop_1
#define CTM_AUDIT_WRITE     ctm_audit_write_1
#define CTM_CANCEL      ctm_cancel_1
#define CTM_CLOSE       ctm_close_1
#define CTM_CLOSE_CVRP      ctm_close_cvrp_1
#define CTM_CVRP_SIZE       ctm_cvrp_size_1
#define CTM_DEF_ATFNAM      ctm_def_atfnam_1
#define CTM_DEF_CVRP        ctm_def_cvrp_1
#define CTM_DEF_MLGNAM      ctm_def_mlgnam_1
#define CTM_DEVINF      ctm_devinf_1
#define CTM_GET_SERVER_STATE    ctm_get_server_state_1
#define CTM_GET_TIME        ctm_get_time_1
#define CTM_GUARD       ctm_guard_1
#define CTM_MONITOR     ctm_monitor_1
#define CTM_OPEN_CVRP       ctm_open_cvrp_1
#define CTM_PCRYPT      ctm_pcrypt_1
#define CTM_READ_CVRP       ctm_read_cvrp_1
#define CTM_READ_VRP        ctm_read_vrp_1
#define CTM_RESUME_RECORD   ctm_resume_record_1
#define CTM_SET_SERVER_STATE    ctm_set_server_state_1
#define CTM_SRVINF      ctm_srvinf_1
#define CTM_START       ctm_start_1
#define CTM_STOP_RECORD     ctm_stop_record_1
#define CTM_SUSPEND_RECORD  ctm_suspend_record_1
#define CTM_TERM_FUNC       ctm_term_func_1
#define CTM_TERM_WAIT       ctm_term_wait_1
#define CTM_TERM_WRITE      ctm_term_write_1
#define CTM_TRAP_CTRLZ      ctm_trap_ctrlz_1
#define CTM_UNGUARD     ctm_unguard_1
#define CTM_UNSLAVE     ctm_unslave_1
#define CTM_VRPCNV      ctm_vrpcnv_1
#define CTM_WAIT_CR     ctm_wait_cr_1
#define CYR_PRODUCT     cyr_product_1
#define DECLARE_SYNC_INTEREST   declare_sync_interest_1
#define DPID_RUNNING        dpid_running_1
#define FILE_DIAG_STD       file_diag_std_1
#define FILE_DIAG       file_diag_1
#define GET_INSTALL_LOCK    get_install_lock_1
#define GET_PARAM       get_param_1
#define GET_SYNC_STATUS     get_sync_status_1
#define GET_TERMINAL_DEVICE get_terminal_device_1
#define INIT_DEBUG      init_debug_1
#define IPC_CANCEL_REQUEST  ipc_cancel_request_1
#define IPC_CHECK_LINK      ipc_check_link_1
#define IPC_CLOSE_LINK      ipc_close_link_1
#define IPC_CONNECT_TO_SERVER   ipc_connect_to_server_1
#define IPC_DECLARE_SERVER  ipc_declare_server_1
#define IPC_DELETE_SERVER   ipc_delete_server_1
#define IPC_FINISH      ipc_finish_1
#define IPC_GET_LINK_PID    ipc_get_link_pid_1
#define IPC_GET_PORTNAME    ipc_get_portname_1
#define IPC_INITIALIZE      ipc_initialize_1
#define IPC_LINK_TCPIP_SUBS ipc_link_tcpip_subs_1
#define IPC_READ_LINK       ipc_read_link_1
#define IPC_REPLY_TO_LINK   ipc_reply_to_link_1
#define IPC_SETUP_EVENT_ACT ipc_setup_event_act_1
#define IPC_WAIT_FOR_IO     ipc_wait_for_io_1
#define IPC_WRITE_TO_LINK   ipc_write_to_link_1
#define LIST_ALLOCATE       list_allocate_1
#define LIST_CLOSE      list_close_1
#define LIST_DEALLOCATE     list_deallocate_1
#define LIST_EXPFIL     list_expfil_1
#define LIST_GET_DETAILS    list_get_details_1
#define LIST_INIT       list_init_1
#define LIST_LINE_REFERENCED    list_line_referenced_1
#define LIST_LINE_COLUMN_ONE    list_line_column_one_1
#define LIST_LINE       list_line_1
#define LIST_LOCKS      list_locks_1
#define LIST_NEWPAGE        list_newpage_1
#define LIST_OUTPUT_ERROR_BUFFER list_output_error_buffer_1
#define LIST_PARSE      list_parse_1
#define LIST_RESOURCE_LOCKS list_resource_locks_1
#define LIST_SETUP      list_setup_1
#define LIST_SKIPLINES      list_skiplines_1
#define LIST_SUBHEADING     list_subheading_1
#define LIST_TESTPAGE       list_testpage_1
#define LOCK_INSTALL_PHASE  lock_install_phase_1
#define OPEN_SYNC_SOCKET    open_sync_socket_1
#define PSL_ADDETCROOT          psl_addetcroot_1
#define PSL_ADDVARROOT          psl_addvarroot_1
#define PSL_ADDROOT     psl_addroot_2
#define PSL_ADD_DIAGNOSTIC_L    psl_add_diagnostic_l_1
#define PSL_ADD_DIAGNOSTIC  psl_add_diagnostic_1
#define PSL_ADD_STATDIAG    psl_add_statdiag_1
#define PSL_ALIGN_HDLR      psl_align_hdlr_1
#define PSL_ALLOCATE_DIAGNOSTICS psl_allocate_diagnostics_1
#define PSL_ASCBIN      psl_ascbin_1
#define PSL_BINARY_CHOP     psl_binary_chop_1
#define PSL_BINASC      psl_binasc_1
#define PSL_CALC_CHK_DIG    psl_calc_chk_dig_1
#define PSL_CARDFILE_ADD    psl_cardfile_add_1
#define PSL_CARDFILE_LOCATE psl_cardfile_locate_1
#define PSL_CARDFILE_REMOVE psl_cardfile_remove_1
#define PSL_CHECK_ACCESS    psl_check_access_1
#define PSL_CHECK_HIERACHY  psl_check_hierachy_1
#define PSL_CHK_ERREXIT     psl_chk_errexit_1
#define PSL_CHK_FILENAME    psl_chk_filename_1
#define PSL_CNVACC_VIDEO    psl_cnvacc_video_1
#define PSL_CNVACC_VTEST    psl_cnvacc_vtest_1
#define PSL_CNVACC_VTIMER   psl_cnvacc_vtimer_1
#define PSL_CNV_STYP        psl_cnv_styp_1
#define PSL_COMPRESS_DATE   psl_compress_date_1
#define PSL_COMPRESS_TIME   psl_compress_time_1
#define PSL_CONVERT_ACCESS  psl_convert_access_1
#define PSL_CREATE_FILE_LOCK    psl_create_file_lock_1
/* PSL_CREATE_PRDFILE   This routine is only used by the DISTRIB */
/* sub-system which links against the SYSSHR object library */
#define PSL_CREATE_SUBLOCK  psl_create_sublock_1
#define PSL_DEALLOCATE_DIAGNOSTICS psl_deallocate_diagnostics_1
#define PSL_DECODE_FKEY     psl_decode_fkey_1
#define PSL_DIAG_ACTRTN     psl_diag_actrtn_1
#define PSL_DIAG_ERRNO      psl_diag_errno_1
#define PSL_DIAG_INVERT     psl_diag_invert_1
#define PSL_DIAG_LASTERROR  psl_diag_lasterror_1
#define PSL_DIAG_OUTRTN     psl_diag_outrtn_1
#define PSL_DIAG_POSTRTN    psl_diag_postrtn_1
#define PSL_EXCEPT      psl_except_1
#define PSL_EXIT        psl_exit_1
#define PSL_EXPAND_DATE     psl_expand_date_1
#define PSL_EXPAND_TIME     psl_expand_time_1
#define PSL_FAO_L       psl_fao_l_1
#define PSL_FAO         psl_fao_1
#define PSL_FILE_PARSE      psl_file_parse_1
#define PSL_FIX_ERRORCTX    psl_fix_errorctx_1
#define PSL_FLUSH_ERRORS    psl_flush_errors_1
#define PSL_FMT_DATTIM      psl_fmt_dattim_1
#define PSL_FMT_PROT        psl_fmt_prot_1
#define PSL_FORMAT_DUMP     psl_format_dump_1
#define PSL_GET_DATTIM      psl_get_dattim_1
#define PSL_GET_DDIR        psl_get_ddir_1
#define PSL_GET_DIAGNOSTIC  psl_get_diagnostic_1
#define PSL_GET_ERRORCTX    psl_get_errorctx_1
#define PSL_GET_FDNAME      psl_get_fdname_1
#define PSL_GET_FILENAME    psl_get_filename_1
#define PSL_GET_HOMEDIR     psl_get_homedir_1
#define PSL_GET_LICDATA     psl_get_licdata_1
#define PSL_GET_LSTERROR    psl_get_lsterror_1
#define PSL_GET_MESSAGE     psl_get_message_1
#define PSL_GET_NODEDIR     psl_get_nodedir_2
#define PSL_GET_NODENAME    psl_get_nodename_1
#define PSL_GET_STYP        psl_get_styp_1
#define PSL_GET_TRMALIAS    psl_get_trmalias_1
#define PSL_GET_UTILNAME    psl_get_utilname_1
#define PSL_GET_WINSIZE     psl_get_winsize_1
#define PSL_INIT_ALN_TRC    psl_init_aln_trc_1
#define PSL_INIT_TRACE      psl_init_trace_1
#define PSL_IS_A_STREAMS_PTY    psl_is_a_streams_pty_1
#define PSL_LOG_CIOERR      psl_log_cioerr_1
#define PSL_LOG_LASTERROR   psl_log_lasterror_1
#define PSL_MATCH_WILD      psl_match_wild_1
#define PSL_MEMRCHR     psl_memrchr_1
#define PSL_MEMSTR      psl_memstr_1
#define PSL_MODIFY_LOCK     psl_modify_lock_1
#define PSL_MSGF_CLOSE      psl_msgf_close_1
#define PSL_MSGF_INIT       psl_msgf_init_1
#define PSL_MSGF_RECEIVE    psl_msgf_receive_1
#define PSL_MSGF_REMOVE     psl_msgf_remove_1
#define PSL_MSGF_SEND       psl_msgf_send_1
#define PSL_OPEN_PTYM       psl_open_ptym_2
#define PSL_OUTPUT_DIAGNOSTICS  psl_output_diagnostics_1
#define PSL_OUTPUT_DIAG     psl_output_diag_1
#define PSL_OUTPUT_TRACE    psl_output_trace_1
#define PSL_PARSE_DATTIM    psl_parse_dattim_1
#define PSL_PARSE_PROTECTION    psl_parse_protection_1
#define PSL_PARSE_PROT      psl_parse_prot_1
#define PSL_PREDIAG_L       psl_prediag_l_1
#define PSL_PREDIAG     psl_prediag_1
#define PSL_PTYRD_OPEN      psl_ptyrd_open_1
#define PSL_PTYRD_CLOSE     psl_ptyrd_close_1
#define PSL_PTYRD_STATUS    psl_ptyrd_status_1
#define PSL_PTYSTAT_OPEN    psl_ptystat_open_1
#define PSL_PTYSTAT_ISREADING   psl_ptystat_isreading_1
#define PSL_PTYSTAT_CLOSE   psl_ptystat_close_1
#define PSL_PUTDIAG_L       psl_putdiag_l_1
#define PSL_PUTDIAG     psl_putdiag_1
#define PSL_PUTMSG      psl_putmsg_1
#define PSL_REALPATH        psl_realpath_1
#define PSL_READ_BLOCKS     psl_read_blocks_1
#define PSL_REMOVE_DIAGNOSTICS  psl_remove_diagnostics_1
#define PSL_REPLACE_DIAGNOSTIC_L psl_replace_diagnostic_l_1
#define PSL_REPLACE_DIAGNOSTIC  psl_replace_diagnostic_1
#define PSL_REPLACE_STATDIAG    psl_replace_statdiag_1
#define PSL_RESIGNAL_ERR    psl_resignal_err_1
#define PSL_RESOLVE_PROCESS psl_resolve_process_1
#define PSL_RESTOREFILE     psl_restorefile_1
#define PSL_SAVEFILE        psl_savefile_1
#define PSL_SETUP_EXCEPT    psl_setup_except_1
#define PSL_SETUP_OUDUSR    psl_setup_oudusr_1
#define PSL_SETUP_PRDDATA   psl_setup_prddata_1
#define PSL_SET_ERRORCTX    psl_set_errorctx_1
#define PSL_SET_TRC_OFF     psl_set_trc_off_1
#define PSL_SET_TRC_ON      psl_set_trc_on_1
#define PSL_SET_UTILNAME    psl_set_utilname_1
#define PSL_SHELL_ROUTINE   psl_shell_routine_1
#define PSL_SIGDIAG     psl_sigdiag_1
#define PSL_SIGNAL_ERROR    psl_signal_error_1
#define PSL_SIG_CIOERR      psl_sig_cioerr_1
#define PSL_SLEEP       psl_sleep_1
#define PSL_SNDOPR      psl_sndopr_1
#define PSL_SPAWN       psl_spawn_1
#define PSL_STRING_CMP      psl_string_cmp_1
#define PSL_STRING_MOV      psl_string_mov_1
#define PSL_SUBSTR      psl_substr_1
#define PSL_SUPDIAG_L       psl_supdiag_l_1
#define PSL_SUPDIAG     psl_supdiag_1
#define PSL_TAG_QSORT       psl_tag_qsort_1
#define PSL_TEST_CTRLTRM    psl_test_ctrltrm_1
#define PSL_TEST_TRACE      psl_test_trace_1
#define PSL_TIME_TRACE      psl_time_trace_1
#define PSL_TPARSE      psl_tparse_1
#define PSL_TPATRACE        psl_tpatrace_1
#define PSL_TRACE_CMD       psl_trace_cmd_1
#define PSL_TRAP_ERRORS     psl_trap_errors_1
#define PSL_TRIM_FILESPEC   psl_trim_filespec_1
#define PSL_VM_COPY     psl_vm_copy_1
#define PSL_VM_DELETE       psl_vm_delete_1
#define PSL_VM_INITIALIZE   psl_vm_initialize_1
#define PSL_VM_INSERT       psl_vm_insert_1
#define PSL_VM_REMOVE       psl_vm_remove_1
#define PSL_VM_SORT     psl_vm_sort_1
#define PSL_WRITE_BLOCKS    psl_write_blocks_1
#define PWD_ADJUST      pwd_adjust_1
#define PWD_FORMAT      pwd_format_1
#define RESET_STATUS        reset_status_1
#define RESET_TERMINAL      reset_terminal_1
#define REVOKE_SYNC_INTEREST    revoke_sync_interest_1
#define SDB_USEROPEN_NEW    sdb_useropen_new_1
#define SDB_USEROPEN_OLD    sdb_useropen_old_1
#define SECURE_ACCESS       secure_access_1
#define SECURE_CLOSE        secure_close_1
#define SECURE_CONV_LOCK    secure_conv_lock_1
#define SECURE_COPSTR       secure_copstr_1
#define SECURE_FREE     secure_free_1
#define SECURE_GET_USERID   secure_get_userid_1
#define SECURE_GET_USRGRP   secure_get_usrgrp_1
#define SECURE_GET_USRNAM   secure_get_usrnam_1
#define SECURE_GRANT_PRIV   secure_grant_priv_1
#define SECURE_ID_AUTO      secure_id_auto_1
#define SECURE_ID_MANUAL    secure_id_manual_1
#define SECURE_ID_VALUES    secure_id_values_1
#define SECURE_LOCATE       secure_locate_1
#define SECURE_LOCK_WAIT    secure_lock_wait_1
#define SECURE_LOCK_SDB     secure_lock_sdb_1
#define SECURE_LOCK     secure_lock_1
#define SECURE_MATCH_SUB    secure_match_sub_1
#define SECURE_OPEN     secure_open_1
#define SECURE_PROXY_NODE   secure_proxy_node_1
#define SECURE_READ_OBJ     secure_read_obj_1
#define SECURE_READ_SUB     secure_read_sub_1
#define SECURE_RESTORE_PRIV secure_restore_priv_1
#define SECURE_SYSMGR       secure_sysmgr_1
#define SECURE_TRACE_FILE   secure_trace_file_1
#define SECURE_TRACE        secure_trace_1
#define SECURE_UNLOCK       secure_unlock_1
#define SECURE_UNLOCK_FILE  secure_unlock_file_1
#define SECURE_UNLOCK_SDB   secure_unlock_sdb_1
#define SETUP_PUTMSG        setup_putmsg_1
#define SETUP_USEROPEN      setup_useropen_1
#define STR_COMPARE     str_compare_1
#define STR_COPY        str_copy_1
#define STR_EXPAND_CTL      str_expand_ctl_1
#define STR_FILL        str_fill_1
#define STR_LOWCASE     str_lowcase_1
#define STR_REFORMAT_TEXT   str_reformat_text_1
#define STR_REPLACE_NONPRINTING str_replace_nonprinting_1
#define VRF_CLOSE       vrf_close_1
#define VRF_OPEN        vrf_open_1
#define VRF_READ        vrf_read_1
#define VRF_WRITE       vrf_write_1
/*
 *    Target/Executer definitions.
 */
#define Tgt_GetTargetID     Tgt_GetTargetID_1
#define Tgt_GetTarget       Tgt_GetTarget_1
#define Tgt_GetSuffix       Tgt_GetSuffix_1
#define Tgt_GetExecuterList Tgt_GetExecuterList_1
#define Tgt_GetTargetList   Tgt_GetTargetList_1
#define Tgt_OtaForTarget    Tgt_OtaForTarget_1
#define Tgt_GetTargetExecutable Tgt_GetTargetExecutable_1

#endif /* VMS */

#endif /* PSL__SYSSHR_RTNS_LOADED */
