/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// OSModellerEditCtrl.h: interface for the COSModellerEditCtrl class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OSMODELLEREDITCTRL_H__8300C5F6_7915_11D4_AFEA_0001026CF512__INCLUDED_)
#define AFX_OSMODELLEREDITCTRL_H__8300C5F6_7915_11D4_AFEA_0001026CF512__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "OSWebEditCtrl.h"

class COSModellerEditCtrl : public COSWebEditCtrl
{
public:
    COSModellerEditCtrl(LPCSTR pczRegistryPath = NULL);
    virtual ~COSModellerEditCtrl();

    virtual void InitKeywords();

protected :

    virtual void ReadPreferences() ;
    virtual void SavePreferences() ;

public:
    //{{AFX_MSG(COSModellerEditCtrl)
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#endif // !defined(AFX_OSMODELLEREDITCTRL_H__8300C5F6_7915_11D4_AFEA_0001026CF512__INCLUDED_)
